> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Temporary EVSE Statuses



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml get /v2/temporary-evse-statuses
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/temporary-evse-statuses:
    get:
      tags:
        - Temporary EVSE Statuses v2
      summary: Get all Temporary EVSE Statuses
      operationId: TemporaryEvseStatusController_findAll_v2
      parameters:
        - name: evseId
          required: false
          in: query
          description: Filter by EVSE ID
          schema:
            example: DK*SPI*E123*1
            type: string
        - name: activeOnly
          required: false
          in: query
          description: Only return active temporary evse statuses
          schema:
            default: 'true'
            type: string
      responses:
        '200':
          description: The Temporary EVSE Statuses have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemporaryEvseStatusResponseDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBadRequestDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUnauthorizedDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalServerErrorDto'
        '503':
          description: Service unavailable
components:
  schemas:
    TemporaryEvseStatusResponseDto:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier for the Temporary EVSE Status
          example: 42
        temporaryStatus:
          type: string
          description: Status of the Temporary EVSE Status
          enum:
            - MAINTENANCE
            - COMMISSIONING
            - BLOCKED
            - RESERVED
          example: MAINTENANCE
        evseId:
          type: string
          description: The EVSE ID
          example: DK*SPI*E123*1
        validFrom:
          type: string
          description: The start date and time of the Temporary EVSE Status
          example: '2023-01-01T12:00:00Z'
        validTo:
          type: string
          description: The end date and time of the Temporary EVSE Status
          example: '2023-01-01T14:00:00Z'
      required:
        - id
        - temporaryStatus
        - evseId
    ApiBadRequestDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          description: Validation error messages
          example:
            - validFrom cannot be greater than validTo
          type: array
          items:
            type: string
        error:
          type: string
          description: More detailed error description if available
          example: Bad Request
      required:
        - statusCode
        - message
    ApiUnauthorizedDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        error:
          type: string
          description: More detailed error description if available
          example: Unauthorized
      required:
        - statusCode
        - message
    ApiInternalServerErrorDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal Server Error
        error:
          type: string
          description: More detailed error description if available
          example: Internal Server Error
      required:
        - statusCode
        - message

````